package com.xtd.project.hkmanager.mapper;

import com.xtd.common.base.BaseMapper;
import com.xtd.project.hkmanager.entity.Device;
import com.xtd.project.hkmanager.entity.DeviceForm;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface DeviceMapper extends BaseMapper<Device,String> {

    /**
     * 查询存在id
     * @return
     */
    public List<String> findIds();

    /**
     * 批量添加
     * @param list
     * @return
     */
    public int batchSave(@Param("list") List<Device> list);

    /**
     * 查询列表
     * @param device
     * @return
     */
    public List<Device> selectList(DeviceForm device);

    /**
     * 删除
     * @param guid
     * @return
     */
    public int delete(@Param("guid") String guid);

    /**
     * 监控点是否存在
     * @return
     */
    public int isExistDevice(Device device);
}